Skip to main content
GET
/
pedidos
Lista os itens de pedido da loja
curl --request GET \
  --url https://akeba.com.br/api/v1/pedidos \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://akeba.com.br/api/v1/pedidos"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://akeba.com.br/api/v1/pedidos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "order_id": "<string>",
      "product_id": "<string>",
      "product_nome": "<string>",
      "preco_unitario": "<string>",
      "quantidade": "<string>",
      "subtotal": "<string>",
      "frete_valor": "<string>",
      "item_status": "<string>",
      "tracking_code": "<string>",
      "cancellation_reason": "<string>",
      "variation_options": "<string>",
      "personalization_data": "<string>",
      "delivery_type": "<string>",
      "label_url": "<string>",
      "superfrete_status": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "aceito_em": "<string>",
      "em_producao_em": "<string>",
      "enviado_em": "<string>",
      "entregue_em": "<string>",
      "cancelado_em": "<string>",
      "financeiro": {
        "valor_liquido_vendedor": "<string>",
        "comissao_pct": "<string>",
        "valor_comissao": "<string>",
        "status": "<string>",
        "data_credito": "<string>"
      },
      "pedido": {
        "id": "<string>",
        "numero": "<string>",
        "status": "<string>",
        "metodo_envio": "<string>",
        "created_at": "<string>"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

Token de API gerado em /vendedor/integracoes.

Query Parameters

status
enum<string> | null
Available options:
pending,
accepted,
in_production,
shipped,
delivered,
cancelled
data_inicio
string<date> | null
data_fim
string<date> | null
atualizado_apos
string<date-time> | null

Response

Paginated set of PedidoItemResource

data
PedidoItemResource · object[]
required
meta
object
required